The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / pulseaudio / S50pulseaudio
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/pulseaudio/S50pulseaudio b/cirros-testvm/src-cirros/buildroot-2015.05/package/pulseaudio/S50pulseaudio
new file mode 100755 (executable)
index 0000000..4c6877e
--- /dev/null
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+# Starts pulseaudio.
+#
+
+
+start() {
+       echo -n "Starting pulseaudio: "
+       umask 077
+       /usr/bin/pulseaudio --system --daemonize
+       echo "OK"
+}
+stop() {
+       echo -n "Stopping pulseaudio: "
+       pulseaudio --kill
+       echo "OK"
+}
+restart() {
+       stop
+       start
+}
+
+case "$1" in
+  start)
+       start
+       ;;
+  stop)
+       stop
+       ;;
+  restart|reload)
+       restart
+       ;;
+  *)
+       echo "Usage: $0 {start|stop|restart}"
+       exit 1
+esac
+
+exit $?
+